automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: fix depdist.test


From: Tom Tromey
Subject: Patch: fix depdist.test
Date: 21 Jul 2001 13:59:38 -0600

I went with my proposed implementation.
This fixes depdist.test.
I'm checking it in.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>
        * automake.in (handle_dist): Handle case where aux dir doesn't
        have a Makefile.  Fixes depdist.test.
        * tests/Makefile.am (XFAIL_TESTS): Removed depdist.test.
        * tests/depdist.test: Look for config/depcomp.

        * tests/Makefile.am (TESTS): Added depdist.test.
        (XFAIL_TESTS): Likewise.
        * tests/depdist.test: New file.  From Eric Magnien.

Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1157
diff -u -r1.1157 automake.in
--- automake.in 2001/07/21 09:57:23 1.1157
+++ automake.in 2001/07/21 19:33:43
@@ -3275,11 +3275,31 @@
     return if $cygnus_mode;
 
     # Look for common files that should be included in distribution.
+    # If the aux dir is set, and it does not have a Makefile.am, then
+    # we check for these files there as well.
+    my $check_aux = 0;
+    my $auxdir = '';
+    if ($relative_dir eq '.'
+       && $config_aux_dir_set_in_configure_in)
+    {
+       ($auxdir = $config_aux_dir) =~ s,^\$\(top_srcdir\)/,,;
+       if (! &is_make_dir ($auxdir))
+       {
+           $check_aux = 1;
+       }
+    }
     foreach my $cfile (@common_files)
     {
        if (-f ($relative_dir . "/" . $cfile))
        {
            &push_dist_common ($cfile);
+       }
+
+       # Don't use `elsif' here because a file might meaningfully
+       # appear in both directories.
+       if ($check_aux && -f ($auxdir . '/' . $cfile))
+       {
+           &push_dist_common ($auxdir . '/' . $cfile);
        }
     }
 
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.326
diff -u -r1.326 Makefile.am
--- tests/Makefile.am 2001/07/21 05:27:26 1.326
+++ tests/Makefile.am 2001/07/21 19:33:43
@@ -99,6 +99,7 @@
 depacl2.test \
 depcomp.test \
 depcomp2.test \
+depdist.test \
 depend.test \
 depend2.test \
 depend3.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.426
diff -u -r1.426 Makefile.in
--- tests/Makefile.in 2001/07/21 05:27:26 1.426
+++ tests/Makefile.in 2001/07/21 19:33:43
@@ -165,6 +165,7 @@
 depacl2.test \
 depcomp.test \
 depcomp2.test \
+depdist.test \
 depend.test \
 depend2.test \
 depend3.test \
Index: tests/depdist.test
===================================================================
RCS file: depdist.test
diff -N depdist.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/depdist.test Sat Jul 21 12:33:43 2001
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+# Make sure depcomp is found for the distribution.
+# From Eric Magnien.
+
+. $srcdir/defs || exit 1
+
+rm -f configure.in
+
+mkdir config
+for i in *; do
+   if test $i != "config"; then
+      mv $i config
+   fi
+done
+
+cat > configure.in << 'END'
+AC_INIT(subdir/foo.c)
+AC_CONFIG_AUX_DIR(config)
+AM_INIT_AUTOMAKE(nonesuch, nonesuch)
+AC_PROG_CC
+AC_OUTPUT(subdir/Makefile Makefile)
+END
+
+cat > Makefile.am << 'END'
+SUBDIRS = subdir
+END
+
+mkdir subdir
+: > subdir/foo.c
+
+cat > subdir/Makefile.am << 'END'
+bin_PROGRAMS = foo
+foo_SOURCES = foo.c
+END
+
+set -e
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+grep config/depcomp Makefile.in



reply via email to

[Prev in Thread] Current Thread [Next in Thread]